@import url(http://fonts.googleapis.com/css?family=Roboto:300,400,500);



/*                  */
/* Resets & Globals */
/*                  */


body, h1, h2, h3, p, input {
	margin: 0;
	padding: 0;
}

* {
	outline: none;
}

.clearFix:after {
	visibility: hidden;
	display: block;
	font-size: 0;
	content: " ";
	clear: both;
	height: 0;
}

.clearFix {
	display: inline-block; 
}

/* start commented backslash hack \*/
* html .clearFix { height: 1%; }
.clearFix { display: block; }
/* close commented backslash hack */


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1000px) {
	
	html, body, main {
		height: 100%;
	}
}


body {
	background: rgb(126,13,57) url("../img/section-background.jpg") center center/cover repeat-y;
	font-family: "Roboto";
	font-size: 1em;
	font-weight: 400;
	-webkit-font-smoothing: subpixel-antialiased;
}

#noJs {
	color: rgb(250,250,250);
	text-align: center;
	font-size: 2em;
	font-weight: 500;
	width: 100%;
	position: absolute;
	top: 30%;
	left: 0;
}

#noJs span {
	font-size: 4em;
	font-weight: 400;
	display: block;
	margin-bottom: 25px;
}

#noJs span.fa::after {
	content: "\f071";
}

.externalLink::after {
	content: "\f08e";
	vertical-align: top;
	font-size: 0.6em;
	padding-left: 2px;
}

.containIt {
	min-width: 320px;
	max-width: 1600px;
	height: 100%;
	min-height: 600px;
	margin: 0 auto 0 auto;
	overflow: hidden;
	position: relative;
}

ul {
	list-style: square outside none;
}


/*        */
/* Header */
/*        */

header {
	margin: 25px 2.5% 0 2.5%;
	position: relative;
}

h1 {
	color: rgba(255,255,255,0.8);
}

h1 span#headerSpan2 {
	font-weight: 300;
}

header span.fa {
	display: block;
	position: absolute;
	top: 5px;
	right: 5px;
	color: rgba(255,255,255,0.4);
	font-size: 2em;
}

header span.fa::after {
	content: "\f05a";
	cursor: pointer;
}

header span.fa:hover {
	color: rgba(255,255,255,0.8);
}



/*         */
/* Section */
/*         */


section {
	background-color: rgba(43,1,17,0.5);
	border-radius: 4px;
	margin: 0 auto 0 auto;
	padding: 2.5%;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1300px) {

	section {
		width: 65%;
		height: 50%;
		min-height: 425px;
		position: absolute;
		top: 20%;
		left: 15%;
	}
	
}

@media (min-width: 1000px) and (max-width: 1299px) {

	section {
		width: 85%;
		height: 50%;
		min-height: 425px;
		position: absolute;
		top: 13%;
		left: 5%;
	}
	
}

@media (min-width: 1px) and (max-width: 999px) {

	section {
		width: 95%;
		height: 100%;
		min-height: 425px;
		border-radius: 0;
		margin: 25px 0 25px 0;
	}
	
}


div#containInfo {
	height: 0;
	position: relative;
	overflow: hidden;
}

h2 {
	margin-bottom: 30px;
	font-size: 1.25em;
	line-height: 1em;
	font-weight: 400;
	letter-spacing: 0.02em;
	color: rgba(250,250,250,0.75);
	text-transform: lowercase;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1000px) {

	h2 {
		font-size: 1.75em;
	}
}


div#containInfo span#infoClose {
	position: absolute;
	top: 0;
	right: 0;
	cursor: pointer;
	color: rgba(250,250,250,0.75);
}

div#containInfo span#infoClose:hover {
	color: rgba(250,250,250,1);
}

div#containInfo span#infoClose::after {
	content: "\f057";
	font-size: 1.75em;
}

div#containInfo p {
	font-size: 1em;
	font-weight: 300;
	color: rgba(250,250,250,0.75);
	margin-bottom: 15px;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1000px) {

	div#containInfo p {
		font-size: 1.25em;
	}
}


div#containInfo p span.maddress {
	color: rgba(250,250,250,0.85);
	font-weight: 400;
}

div#containInfo p a.inlineHref {
	color: rgba(250,250,250,0.75);
	text-decoration: none;
	border-bottom: 1px dotted rgba(255,255,255,0.5);
}

div#containInfo ul {
	padding-bottom: 15px;
}

div#containInfo ul li {
	color: rgba(250,250,250,0.75);
	font-size: 0.85em;
	font-weight: 300;
	margin-bottom: 5px;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1000px) {

	div#containInfo ul li {
		color: rgba(250,250,250,0.75);
		font-size: 1em;
	}
}


div#containInfo p.infoLink {
	width: 100%;
	text-align: center;
	text-transform: uppercase;
	font-weight: 500;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1000px) {
	
	div#containInfo p.infoLink {
		position: absolute;
		left: 0;
		bottom: 0;
	}
	
	div#containInfo p.infoLink a:nth-child(1) {
		margin: 0 2.5% 0 0;
	}
}

div#containInfo p.infoLink a {
	background-color: rgba(250,250,250,0.75);
	color: rgb(92,2,37);
	padding: 5px 8px 5px 8px;
	text-decoration: none;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1px) and (max-width: 999px) {

	div#containInfo p.infoLink {
		width: 100%;
		max-width: 450px;
		margin: 0 auto 0 auto;
	}
	
	div#containInfo p.infoLink a {
		padding: 10px 8px 10px 8px;
		margin: 20px 0 0 0;
		display: block;
	}
}


div#containInfo p.infoLink a:hover {
	background-color: rgba(250,250,250,1);
}

div#containAddress {
	height: 100%;
	position: relative;
	overflow: hidden;
}

label {
	display: none;
}

input {
	background-color: rgba(255,255,255,0.4);
	width: 97%;
	margin-bottom: 25px;
	padding: 10px 1.5% 10px 1.5%;
	display: block;
	font-size: 1.4em;
	font-weight: 300;
	color: rgb(250,250,250);
	border: 0;
}

#buttonRight {
	text-align: center;
}

#maddressResponse {
	color: rgb(255,255,255);
	display: inline-block;
}

#maddressResponse span {
	margin-right: 10px;
	line-height: 1em;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1px) and (max-width: 999px) {

	#buttonLeft {
		min-height: 75px;
	}
	
	.buttonLeftOff {
		opacity: 0;
	}
	
	.buttonLeftOn {
		opacity: 1;
	}

	#buttonRight {
		text-align: center;
		margin-bottom: 20px;
	}
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1px) and (max-width: 500px) {

	#maddressResponse {
		font-size: 1em;
	}
	
	#maddressResponse span {
		font-size: 1em;
	}
}

@media (min-width: 1000px) {

	input {
		font-size: 1.8em;
	}

	input#state {
		width: 52%;
		display: inline-block;
	}
	
	input#zipcode {
		width: 40%;
		margin-left: 1.5%;
		display: inline-block;
	}

	.buttonLeftOff {
		position: absolute;
		bottom: -100px;
		left: 0;	
	}
	
	.buttonLeftOn {
		position: absolute;
		bottom: 0;
		left: 0;	
	}

	#buttonLeft {
		width: 70%;
	}

	#buttonRight {
		width: 30%;
		position: absolute;
		bottom: 0;
		right: 0;
		text-align: right;
	}

	#maddressResponse {
		font-size: 1.25em;
	}
	
	#maddressResponse span {
		font-size: 1.25em;
	}
}


#buttonLeft button {
	background-color: rgba(255,255,255,0);
	margin-left: 8%;
	border: 1px solid rgba(255,255,255,0.4);
	border-radius: 3px;
	padding: 5px;
	font-size: 0.8em;
	font-weight: 300;
	letter-spacing: 0.02em;
	color: rgba(250,250,250,0.6);
	text-transform: lowercase;
	cursor: pointer;
	display: none;
}

#buttonLeft button:hover {
	color: rgba(250,250,250,1);
}

#buttonLeft button span.fa {
	margin-right: 7px;
}

#buttonLeft button:nth-last-child(1) {
	margin-left: 1%;
}

#buttonLeft button span {
	font-size: 1em;
}

#buttonRight button {
	font-size: 1.3em;
	font-weight: 500;
	letter-spacing: 0.02em;
	color: rgba(250,250,250,0.7);
	text-transform: uppercase;
	cursor: pointer;
}

#buttonRight button:hover {
	color: rgba(250,250,250,1);
}

#buttonRight button#clearButton {
	background-color: rgba(255,255,255,0);
	border: 2px solid rgba(255,255,255,0.4);
	padding: 8px;
}

#buttonRight button#verifyButton {
	background-color: rgba(255,255,255,0.4);
	margin-left: 7%;
	padding: 10px;
	border: 0;
}

#buttonRight button#verifyButton.waiting {
	background-image: url("../img/madLoad.gif");
	background-repeat: no-repeat;
	background-position: center center;
}



/*        */
/* Footer */
/*        */

footer {
	width: 100%;
	text-align: center;
}


/*	**** MEDIA SWITCH ****  */

@media (min-width: 1px) {

	footer {
		position: absolute;
		bottom: 5px;
		left: 0;
	}
}


footer p#madLegal {
	color: rgba(250,250,250,0.4);
	font-size: 0.6em;
	font-weight: 300;
	letter-spacing: 0.02em;
}

footer p#madLegal a {
	color: rgba(250,250,250,0.4);
	text-decoration: none;
}
